#!/usr/bin/ruby

require_relative 'architect_test'

class TestConfig < ArchitectTest

  def test_initialize_from_hash
    cfg = Architect::Config.new({ 'domain' => 'foo' } )
    assert_equal 'foo', cfg.domain
  end

  def test_initialize_from_file
    f = Tempfile.new('test_register.yaml')
    f.write({ 'domain' => 'foo', 'plugins' => { 'hello_world' => {} } }.to_yaml)
    f.close
    File.chmod(0600, f.path)
    cfg = Architect::Config.new(f.path)
    assert_equal 'foo', cfg.domain
  end
end
