#!/usr/bin/ruby

require 'minitest/autorun'

class TestLDAPNetGroupPlugin < MiniTest::Test
  require 'architect/plugin/ldap_netgroup'

  def test_name
    assert_equal 'ldap_netgroup', plugin.name
  end

  def test_configure
    @plugin = LDAPNetgroupPlugin.new
    plugin.configure({
       host: 'localhost',
       port: '10389',
       bind_dn: 'cn=foreman-vm',
       bind_password: 'password123',
       base_dn: 'ou=Netgroup,dc=example,dc=com',
       nis_domain: 'example.com',
    })
  end

  def setup
    @plugin = LDAPNetgroupPlugin.new
    plugin.configure({
       host: nil,
       port: nil,
       bind_dn: nil,
       bind_password: nil,
       base_dn: nil,
       nis_domain: nil,
      })
  end

  private

  attr_accessor :plugin
end
