#!/usr/bin/ruby

require_relative 'architect_test'
 
class TestPluginManager < ArchitectTest
  require 'architect/plugin_manager'

  MOCK_CONFIG = {
      'hello_world' => {
          hello: 'bar',
          quiet: 'true',
      }
  }

  def test_initialize
    pm = Architect::PluginManager.new(MOCK_CONFIG)
    refute_nil pm
    refute_nil pm.plugins.hello_world
  end

  # Test if the plugin can be configured
  def test_configure
    pm = Architect::PluginManager.new(MOCK_CONFIG)
    pm.plugins.hello_world.configure(MOCK_CONFIG['hello_world'])
    assert_equal 'bar', pm.plugins.hello_world.config.hello
  end
end
