#!/usr/bin/ruby

require 'minitest/autorun'

class TestBuildspec < MiniTest::Test
  require 'foreman_vm/buildspec'

  def test_initialize
    refute ForemanAP::BuildSpec.new.nil?
  end

  def test_assignment
    spec = ForemanAP::BuildSpec.new 
    assert_equal('hostname', spec.name = 'hostname')
    assert_equal(1, spec.cpus = 1)
    assert_equal('4G', spec.memory = '4G')
    assert_equal('20G,40G', spec.disk_capacity = '20G,40G')
    assert_equal('raw', spec.disk_format = 'raw')
    assert_equal('default', spec.storage_pool = 'default')
    assert_equal('acme.com', spec.domain = 'acme.com')
    assert_equal('vnet0.101', spec.network_interface = 'vnet0.101')
  end

  #def test_fancy
  #  spec = ForemanAP::BuildSpec.new
  #  spec.specify do
  #     hostname 'foo'
  #  end
  #  assert_equal('foo', spec.name)
  #end
     
  # Test the generation of the 'volumes_attributes' Foreman API section
  def test_volumes_attributes
    spec = ForemanAP::BuildSpec.new 
    spec.disk_format = 'raw'
    spec.disk_capacity = '20G,40G'
    spec.storage_pool = 'default'
    assert_equal({
	'volumes_attributes'=> {
	   '1'=>{'format_type'=>'raw', 'pool_name'=>'default', 'capacity'=>'40G'},
           '0'=>{'format_type'=>'raw', 'pool_name'=>'default', 'capacity'=>'20G'}
	}
    }, spec.to_foreman_api)
  end
end
