#!/usr/bin/ruby

require 'minitest/autorun'
 
class TestHypervisor < MiniTest::Test
  require 'foreman_vm'

  # FIXME: it stinks that this depends on the Cluster class
  def setup
    config = ForemanAP::Config.new('/opt/foreman-vm/conf/worker.yaml')
    cluster = ForemanAP::Cluster.new(
                  ['vm-corp-004.brontolabs.local'], 
                  config.libvirt_user, 
                  config.libvirt_password)
    @hv = cluster.member('vm-corp-004.brontolabs.local')
  end

  def test_free_memory
    assert(@hv.free_memory > 0)
  end

  def test_domains
    assert(@hv.domains.kind_of?(Array))
  end

  def test_storage_pool
    assert(@hv.storage_pool('gvol'))
    assert_raise Libvirt::RetrieveError do
      @hv.storage_pool('a storage pool that does not exist')
    end
  end 

  # Verify that Hypervisor#hostname returns a FQDN
  def test_hostname
    assert_equal('vm-corp-004.brontolabs.local', @hv.hostname)    
  end
end
