#!/usr/bin/ruby

require 'minitest/autorun'
 
class TestWorkqueue < MiniTest::Test
 
  require 'foreman_vm/workqueue'

  def setup
    @wq = ForemanAP::Workqueue.new('workqueue-test' + Process.pid.to_s)
  end

  def test_initialize
    assert_not_nil @wq
  end

  def test_enqueue_and_dequeue
    assert @wq.clear
    assert @wq.enqueue({ 'foo' => 'bar' })
    assert_equal(@wq.dequeue, { 'foo' => 'bar' })
  end

  def test_jobs
    assert_not_nil @wq.jobs
  end

  # Test if there is a worker process watching the queue
  def test_worker?
    wq = ForemanAP::Workqueue.new('foreman-vm')
    # TODO: start a worker process.
    #   right now, we depend on worker.rb being started outside of this testcase
    assert wq.worker?
    # TODO: kill the worker process, and assert_false(wq.worker?)
  end
end
